package com.ruoyi.demo.entity.vo;

import com.ruoyi.demo.entity.Plan;
import com.ruoyi.demo.entity.PlanItem;
import com.ruoyi.demo.entity.SystemSetter;
import lombok.Data;

@Data
public class PlanPushVo {
    private String itemId;
    private String planId;
    private String planName;
    private String qrCode;
    private String goodsId;
    private String goodsName;
    private String goodsLogo;
    private String goodsIntroduce;
    private Float goodsPrice;
    private String goodsClassify;
    private Integer sort;

    public PlanPushVo(){}
    public PlanPushVo(PlanItem item, Plan plan){
        this.itemId = item.getItemId();
        this.planId = item.getPlanId();
        this.planName = plan.getPlanName();
        this.qrCode = item.getQrCode();
        this.goodsId = plan.getGoodsId();
        this.goodsName = plan.getGoodsName();
        this.goodsLogo = plan.getGoodsLogo();
        this.goodsPrice = plan.getGoodsPrice();
        this.goodsIntroduce = plan.getGoodsIntroduce();
        this.goodsClassify = plan.getGoodsClassify();
        this.sort = item.getSort();
    }
}
